Subject: FW: Eterra
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 20 Nov 2001 12:08:10 -0800 (PST)

Madhup,
We still need to provide detail on when errors/ problems actually occur.
I will work to get this to you by tomorrow.
Thanks,
JMF
 -----Original Message-----
From: 	Phillips, George  
Sent:	Tuesday, November 20, 2001 1:57 PM
To:	Forney, John M.
Subject:	RE: Eterra

Looks ok overall but here are a couple of suggestions:

Make price/mgw  an optional field in the deal entry section of eterra.  
2B should be a higher priority. Also, an alternative to 2B is to have a drop-down box within eTerra to display the corresponding name of the counterparty.  

[Phillips, George]   
 -----Original Message-----
From: 	Capasso, Joe  
Sent:	Tuesday, November 20, 2001 3:10 AM
To:	Forney, John M.
Subject:	FW: Eterra

Madup,

In reference to Eterra, I have prioritized some enhancements to the system that will improve its usage and accuracy.  When using Eterra, some tasks are difficult to complete and can result in mismatches in the Ercot Portal.  I will identify some of the difficult tasks and I will make some suggestions on enhancements.  
In addition, I realize that we are working with time constraints and limited personnel.

I will categorize the list based on Priority 1, 2 & 3.

Priority 1 - Very important and needs to be completed immediately
Priority 2 - Important and needs to be completed within the next 30 days
Priority 3 - Moderate importance, easy tasks can be completed at programmers convenience.

Priority 1A:

Allow the Deal Entry screen to accept single entry trades, such as a simultaneous Buy from Counterparty A in the South Zone and a Sell to Counterparty B in the North Zone.  Currently, this has to be done by entering two trades, a purchase from Counterparty A (South Zone) to the Hourly Ercot Book and a second trade, a sell from the Hourly Ercot Book to Counterparty B.  I realize that we have a problem with the transmission between the North and South Zones and that is what makes this a difficult enhancement.  

Priority1B:

Change the process of increasing the Frontera generation.  The current process is to input a buy from Frontera and a sell to Frontera.  This is not very intuitive and causes some confusion.  Why can't we input a buy from Frontera just as we would with any other trade? It could be as simple as clicking a box to indicate that Frontera (i.e. - EPMI) should be adjusted on the resource side and not EPMI on the obligation side.

Priority1C:

Eterra should not write over any trades that were input manually into the Ercot Portal.
Is there any way that we can make it identify a trade that was input manually into the portal?
When it finds one then it should not overwrite this trade.

Priority2A:

Undo Button - On various occasions, we have sent Bal Day trades to the QSE MOS/Ercot Portal and 
it was not the result that we had expected.  Therefore, the trader has to manually change each of the trades. This can be a very time consuming process.
Is there a way to have an UNDO button (similar to the Excel UNDO key) to retract the trade information from the QSE MOS or Portal?

Priority2B:

Change the short name in <internal counterparty> & <external counterparty> to the actual long name, (i.e. - elpasomeren to El Paso Merchant Energy)
Reason: It is just difficult to read. I brought this up with Sasha and he said it would be a quick fix, but it is still not done.

Proirity3A:

Please give us a list of the Counterparties and their appropriate QSE names, (i.e. - El Paso Merchant is actually APX)
This helps us identify what it will effect in the QSE MOS and Portal (for example, elpasomeren is converted into APX).  
But does ELP or ELPASELECOM convert to APX also?

Priority3B:

Match Flow Period to automatically update the Contract Date.  This is one less step that we need to worry about.

The above mentioned enhancements will allow us to quickly and accurately update the QSE MOS & Ercot Portal. 
In addition, it will allow us to quickly correct the portal if a mistake occurs.

If you need additional clarification on any of these topics, I would be happy to meet with you to discuss this further.
I will be working days on Monday, Nov. 26th - Thursday, Nov 29th.

Thanks,
Joe Capasso

PS - Below is an email that outlines my conversation with Sasha on November 3rd.  Unfortunately, none of the "quick fixes" have been completed yet.

 -----Original Message-----
From: 	Capasso, Joe  
Sent:	Saturday, November 03, 2001 4:55 PM
To:	Forney, John M.
Cc:	[email-masked],'; McElreath, Alexander; Olinde Jr., Steve; Phillips, George; Oh, Seung-Taek
Subject:	Eterra

John,

I met with Sasha today for approx. 3 hours.
We reviewed the exact process for inputting data into Eterra and verifying the trades prior to being sent to the QSE MOS.

Here are some suggestions that I made to Sasha for improving Eterra (the top of the list is the highest priority):

 - Allow the Deal Entry screen to accept single entry trades, such as a simultaneous Buy from Calpine (South Zone) and a Sell to FPL (North Zone).
   Currently, this has to be done by entering two trades, a purchase from Calpine (South Zone) to the Hourly Ercot book and a second entry of Hourly Ercot book 
   to FPL (North Zone).  Sasha said he is working on this, but problems are occurring due to the transmission between South and North.

 - Change the process of increasing the Frontera generation.  The current process is to input a buy from Frontera into the Frontera book.
   This is not very intuitive and we are still trying to work out an easier process.  (Possibly even having a button that we can click to indicate that
   it is a purchase from Frontera.  Essentially, this would increase the EPMI mw's in the Ercot Portal.)

 - Change the short name in <internal counterpary> & <external counterparty> to the actual long name, (i.e. - elpasomeren to El Paso Merchant Energy)

 - Give us a list of Counterparties and the appropriate QSE, (i.e. - El Paso Merchant is actually APX)
    So that we know what it will affect in the Ercot Portal.

 - Match flow date to automatically update the Contract date.  One less step that we need to worry about.

I tried to impress upon Sasha that in trading "time is of the essence" and that we don't have much time to input data.
Therefore, we need to streamline the deal entry process and to make it more user friendly.
I realize that the first two items will take some time, but the last 3 items should be quick fixes.

I hope this helps.

Joe Capasso